# Uses of Class
org.apache.sling.resourceresolver.impl.helper.URI

Packages that use URI
Package
Description
org.apache.sling.resourceresolver.impl.helper

## Uses of URI in org.apache.sling.resourceresolver.impl.helper

Methods in org.apache.sling.resourceresolver.impl.helper with parameters of type URI
Modifier and Type
Method
Description
`int`
URI.`compareTo(URI another)`
Compare this URI to another object.
Constructors in org.apache.sling.resourceresolver.impl.helper with parameters of type URI
Modifier
Constructor
Description
``
`URI(URI base, String relative, boolean escaped)`
Construct a general URI with the given relative URI string.
``
`URI(URI base, URI relative)`
Construct a general URI with the given relative URI.